Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229071 - Update Java daylight time rules
Summary: Update Java daylight time rules
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 19:51 UTC by Jeff Makey
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-03 07:24:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 23566 None None None Never
Red Hat Bugzilla 227887 None None None Never

Description Jeff Makey 2007-02-16 19:51:46 UTC
The version of Java included with gcc-4.1.1-51.fc5 has daylight time rules that
will be obsolete in the United States on 11 March 2007.  This can result in
displayed times that are off by 1 hour.

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=23566 addresses this issue upstream,
and patching to include their changes to
libjava/classpath/java/util/TimeZone.java may be sufficient to reslove this.

Other versions of Fedora (and probably Red Hat Linux too) are likely to have
this  same problem.

Comment 1 Jakub Jelinek 2007-02-21 08:56:05 UTC
It is not that easy, see
http://gcc.gnu.org/ml/gcc-patches/2007-02/msg01735.html


Comment 2 Jeff Makey 2007-03-15 01:39:07 UTC
Thanks for the comprehensive solution.  Now that this has been implemented for
RHEL 3 (bugzilla 227887) perhaps it can be done for Fedora as well.

Comment 3 Jakub Jelinek 2007-07-03 07:24:01 UTC
This is fixed in current FC6 updates (as well as F7 GA), FC5 is no longer
supported.


Note You need to log in before you can comment on or make changes to this bug.